Package org.w3c.tidy

# Class ValidUTF8Sequence

java.lang.Object
org.w3c.tidy.ValidUTF8Sequence

public class ValidUTF8Sequence extends Object

Version:
  $Revision: 587 $ ($Author: fgiust $)
Author:
  Fabrizio Giustina (translation from c)

## Constructor Summary

Constructors
Constructor
Description
`ValidUTF8Sequence(int lowChar, int highChar, int numBytes, char[] validBytes)`
Instantiates a new ValidUTF8Sequence.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ValidUTF8Sequence

public ValidUTF8Sequence(int lowChar, int highChar, int numBytes, char[] validBytes)
Instantiates a new ValidUTF8Sequence.

Parameters:
  `lowChar` - low utf8 char
  `highChar` - high utf8 char
  `numBytes` - number of bytes in the sequence
  `validBytes` - valid bytes array